
var savedLabel;

function LocalizeStrings() {
    var loggingEnabledLabel = chrome.i18n.getMessage("optionsLoggingEnabledLabel");
    var pageClosedTimeoutLabel = chrome.i18n.getMessage("optionsPageClosedTimeoutLabel");
    var inactivePageTimeoutLabel = chrome.i18n.getMessage("optionsInactivePageTimeoutLabel");
    savedLabel = chrome.i18n.getMessage("optionsSavedLabel");
    var saveLabel = chrome.i18n.getMessage("optionsSaveLabel");
    var titleLabel = chrome.i18n.getMessage("optionsTitleLabel");

    document.getElementById("titleLabel").innerHTML = titleLabel;
    document.getElementById("save").innerHTML = saveLabel;
    document.getElementById("inactivePageTimeoutLabel").innerHTML = inactivePageTimeoutLabel;
    document.getElementById("pageClosedTimeoutLabel").innerHTML = pageClosedTimeoutLabel;
    document.getElementById("loggingEnabledLabel").innerHTML = loggingEnabledLabel;
}

function save_options() {

    var loggingEnabled = document.getElementById('loggingEnabled').checked;
    var pageClosedTimeout = document.getElementById('pageClosedTimeout').value;
    var inactivePageTimeout = document.getElementById('inactivePageTimeout').value;

    chrome.storage.sync.set({
        loggingEnabled: loggingEnabled,
        pageClosedTimeout: pageClosedTimeout,
        inactivePageTimeout: inactivePageTimeout
    }, function() {

        var status = document.getElementById('status');
        status.textContent = savedLabel;
        setTimeout(function() {
            status.textContent = '';
        }, 750);
    });
}

function restore_options() {

    LocalizeStrings();

    chrome.storage.sync.get({
        loggingEnabled: false,
        pageClosedTimeout: 60,
        inactivePageTimeout: 600
    }, function(items) {

        document.getElementById('loggingEnabled').checked = items.loggingEnabled;
        document.getElementById('pageClosedTimeout').value = items.pageClosedTimeout;
        document.getElementById('inactivePageTimeout').value = items.inactivePageTimeout;
    });
}
document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click', save_options);
